Package com.apple.foundationdb

## Class ClusterOptions

- java.lang.Object
- - com.apple.foundationdb.ClusterOptions

    @Deprecated
    public class ClusterOptions
    extends java.lang.Object

Deprecated.
There are no cluster options.
A set of options that can be set on a `Cluster`.

### Constructor Summary

Constructors
`ClusterOptions​(OptionConsumer consumer)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`OptionConsumer` `getOptionConsumer()` Returns the object on which these options are being set.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClusterOptions

    public ClusterOptions​(OptionConsumer consumer)

Deprecated.

### Method Detail

#### getOptionConsumer

    public OptionConsumer getOptionConsumer()

Returns the object on which these options are being set. Rarely used by client code, since all options should be top-level methods on extending classes.

Returns:
  target of option set calls